\begin{denotation}

\item[ADI] Alternating direction implicit method
\item[API] Application Programming Interface
\item[CG] Conjugate Gradient
\item[CPU] Central processing unit
\item[CUDA] Compute Unified Device Architecture
\item[GMRES] Generalized Minimal RESidual method
\item[GPU] Graphics Processing Unit
\item[HDF] Hierarchical Data Format
\item[ISA] Instruction Set Architecture
\item[JIT] Just-in-time Compiler
\item[MIMD] multiple instruction, multiple data
\item[MPI] Message Passing Interface
\item[PTX] Parallel Thread Execution
\item[PWR] Pressurized Water Reactor
\item[\ProgramName] \ProgramFullName
\item[SIMD] Single instruction, multiple data
\item[SM] Streaming Multiprocessor
\item[SMX] Next Generation Streaming Multiprocessor

\end{denotation}
